Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 36037 - [TTV] scrollbar does not move line properly
[TTV] scrollbar does not move line properly
Status: VERIFIED WONTFIX
Product: platform
Classification: Unclassified
Component: Outline&TreeTable
3.x
Sun Solaris
: P3 (vote)
: TBD
Assigned To: Stanislav Aubrecht
issues@platform
: A11Y
Depends on: 19266
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-11 12:56 UTC by ccv
Modified: 2008-12-23 11:49 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ccv 2003-09-11 12:56:54 UTC
To reproduce:

1. Select any executable in the Explorer window
and rename it to long name ABBBBBBBBBBBBBBC.
2. Push F7 (step into)
3. In Debugger Sessions view tab to the Name
column, which has scroll bar (decrease the Name
column, if there is no scroll bar). Focus should
be in the cell with name.
4. I want to see end of name and to push right
arrow key, name moved on one position.

ISSUE: After that pushing arrow key does nothing,
name does not moved in the right/left side.
The same result is for other debugger views.

Product Version: Sun ONE Studio 8 (Build 030827)
-- Rainier build19
IDE Versioning:   IDE/1 spec=3.42.1 impl 030827
Operating System: SunOs version 5.8 running on
sparc
Java:	         1.4.1_03
Comment 1 Jiri Rechtacek 2003-11-12 14:13:25 UTC
The scrollbar doesn't get the focus then it cannot be moved by
keyboard. In general TTV isn't keyboard friendly, one of should-have
improvements.
Comment 2 Stanislav Aubrecht 2005-01-13 12:55:05 UTC
pls note that pressing the right and left arrow keys expand and
collapse tree nodes so i don't think it should ever be possible to
move the scrollbar with arrow keys.

it may be better to use alt/shift/ctrl + arrow keys to resize the
column instead.
Comment 3 Stanislav Aubrecht 2005-10-04 10:43:46 UTC
the treetable behavior is in accordance with a standard JTree - the left and
arrow keys do not move the horizontal scrollbar either (try swingset demo).

closing the issue.
Comment 4 Marian Mirilovic 2006-01-17 14:06:52 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo